close

[Solved] Requested but did not find extension point with identifier

I am trying to run my flutter project In my macOS But I am facing the following Requested but did not find extension point with identifier in Flutter. We are going to Learn about All Possible Solutions So Lets Get Start with This Article.

How Requested but did not find extension point with identifier Error Occurs?

I am trying to run my flutter project In my macOS But I am facing the following error.

Requested but did not find extension point with identifier Xcode.IDEKit.ExtensionSentinelHostApplications for extension Xcode.DebuggerFoundation.AppExtensionHosts.watchOS of plug-in com.apple.dt.IDEWatchSupportCore

So here I am writing all possible solutions that I have tried to resolve this error.

How To Solve Requested but did not find extension point with identifier Error?

  1. How To Solve Requested but did not find extension point with identifier Error?

    To Solve Requested but did not find extension point with identifier Error First of all, you need to check Your MacOSX SDK Path How you can check it? Just Run this command In Your terminal: xcrun -sdk macosx –show-sdk-path Now in output It will give You MacOSX SDK path. it Could be something like /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX12.3.sdk Now, You just have to add in The PATH of your .zshrc file. Just Run This command to do so: export SDKROOT=<your_macosx_sdk_path_here> Then, Just Source it with this command: source ~/.zshrc Hope Now, your error must be solved. Thank You.

  2. Requested but did not find extension point with identifier

    To Solve Requested but did not find extension point with identifier Error First of all, Just Check-in App Store for Xcode Update. If Update is available then Just install Update and then Launch Xcode; it will ask you to install additional software. After installation finishes the errors will be solved. Hopefully, Now, your error must be solved.

Solution 1: Set MacOSX SDK path

First of all, you need to check Your MacOSX SDK Path How you can check it? Just Run this command In Your terminal.

xcrun -sdk macosx --show-sdk-path 

Now in output It will give You MacOSX SDK path. it Could be something like /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX12.3.sdk

Now, You just have to add in The PATH of your .zshrc file. Just Run This command to do so.

export SDKROOT=<your_macosx_sdk_path_here>

# For Example
export SDKROOT=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX12.3.sdk

Then, Just Source it with this command.

source ~/.zshrc

Hope Now, your error must be solved. Thank You.

Solution 2: Update XCode to the latest version

First of all, Just Check-in App Store for Xcode Update. If Update is available then Just install Update and then Launch Xcode; it will ask you to install additional software. After installation finishes the errors will be solved. Hopefully, Now, your error must be solved.

Solution 3: Downgrade Xcode

Downgrading Xcode to its previous stable version 13.2.1 fixed this error so probably you can downgrade to the stable version and your issue may be solved.

Solution 4: install the command tools

First of all Update Your Xcode to latest version and then install the command tools. Just run this command in your terminal to install the command tools.

xcode-select --install

Now, Your error must be solved.

Summary

It’s all About this error. Hope We solved Your error. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you?

Also, Read

1 thought on “[Solved] Requested but did not find extension point with identifier”

Leave a Comment